Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Abmessungen Attributtext

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Abmessungen Attributtext (250 mal gelesen)
fca_mi2
Mitglied
Bauingenieur


Sehen Sie sich das Profil von fca_mi2 an!   Senden Sie eine Private Message an fca_mi2  Schreiben Sie einen Gästebucheintrag für fca_mi2

Beiträge: 502
Registriert: 10.01.2003

ACAD2018

erstellt am: 05. Dez. 2021 11:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

gibt es eine Routine, um das umgebende Rechteck eines mit Inhalt gefüllten Attributs zu ermitteln ?

So in der Art wie "textbox" für Text ?

------------------
MfG
Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1949
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 05. Dez. 2021 11:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich

die Boundindbox Methode ist dafür geeignet.
Da brauchst du ja nicht wirklich eine Routine für.

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fca_mi2
Mitglied
Bauingenieur


Sehen Sie sich das Profil von fca_mi2 an!   Senden Sie eine Private Message an fca_mi2  Schreiben Sie einen Gästebucheintrag für fca_mi2

Beiträge: 502
Registriert: 10.01.2003

ACAD2018

erstellt am: 06. Dez. 2021 13:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ja, perfekt

danke

------------------
MfG
Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9712
Registriert: 01.12.2003

One AutoCAD 2.5 - 2022, Civil 3D, Win10

erstellt am: 06. Dez. 2021 15:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich

Zumindest wenn der Text waagerecht oder senkrecht steht.
http://www.lee-mac.com/boundingbox.html

[EDIT]
Für den Test bei Attributobjekten dann nur (car (Nentsel)) statt (car (entsel)) verwenden.

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

[Diese Nachricht wurde von CAD-Huebner am 06. Dez. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1713
Registriert: 11.10.2004

Window 10
ACAD 2012-2021
CIVIL 2012 - 2021
BricsCAD V14-V21
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050<P>

erstellt am: 07. Dez. 2021 14:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich

Hallo Frank,
ich habe da noch eine Variante mit textbox. Mit einem Faktor können über die Diagonallängen die Eckpunkte noch ein wenig vom Text abgerückt werden, ich finde der Faktor 1.1 bringt ganz schicke Ergebnisse. Wenn die Texte/Attribute gedreht sind wird das über den Winkel berücksichtigt (GC 50)

Code:

(defun JBf:TextBox:Rahmen (objTxt Faktor /  COORDS COORDSARRAY P P1 P2 P3 P4 TBCOORDS VLA-OBJ W X)

  (vl-load-com)
 
  (setq tbcoords (textbox (entget objTxt))
        p (cdr(assoc 10 (entget objTxt)))
        w (cdr(assoc 50 (entget objTxt)))
        p1 (polar '(0.0 0.0) (+ (angle '(0.0 0.0)(car tbcoords))w)(distance '(0.0 0.0) (car tbcoords)))
        p2 (polar p1 w (- (car(cadr tbcoords))(car(car tbcoords))))
        p3 (polar p2 (+ w (* pi 0.5))(- (cadr(cadr tbcoords))(cadr(car tbcoords))))
        p4 (polar p3 (+ w pi)(- (car(cadr tbcoords))(car(car tbcoords)))))

  (setq coords
        (apply 'append
                (mapcar '(lambda(X)
                          (mapcar '+ p X)
                    )

                  (list (polar p3 (angle p3 p1)(*(distance p3 p1)Faktor))
                        (polar p4 (angle p4 p2)(*(distance p4 p2)Faktor))
                        (polar p1 (angle p1 p3)(*(distance p1 p3)Faktor))
                        (polar p2 (angle p2 p4)(*(distance p2 p4)Faktor)))
                  )
                )
        coordsArray (vlax-make-safearray vlax-vbDouble
                      (cons 0  (- (length coords) 1))))
  (vlax-safearray-fill coordsArray coords)

  (setq vla-obj
        (vla-addLightweightPolyline
          (vla-get-modelSpace
            (vla-get-activeDocument (vlax-get-acad-object))
            )coordsArray))
  (vla-put-layer vla-obj (vla-get-layer (vlax-ename->vla-object objTxt)))
  (vla-put-color vla-obj 256)
  (vla-put-closed vla-obj :vlax-true)
  )


Kannst Du ja mal ausprobieren und Dir den Code anpassen.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Bosse_tools-Überblick

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Programmentwickler CAD & Office (m/w/divers)

thyssenkrupp ist eine international aufgestellte Unternehmensgruppe aus weitgehend selbstständigen Industrie- und Technologiegeschäften mit über 100.000 Mitarbeitenden. In 56 Ländern erwirtschaftete die Gruppe im Geschäftsjahr 2020/2021 einen Umsatz von 34 Mrd ?. Mit umfassendem Technologie-Know-how entwickeln die Geschäfte und alle Mitarbeitenden wirtschaftliche und ressourcenschonende ...

Anzeige ansehenSoftwareentwicklung
archtools
Mitglied



Sehen Sie sich das Profil von archtools an!   Senden Sie eine Private Message an archtools  Schreiben Sie einen Gästebucheintrag für archtools

Beiträge: 754
Registriert: 09.10.2004

Entwickler für AutoCAD, BricsCAD u.a., alle Systeme

erstellt am: 17. Dez. 2021 11:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CAD-Huebner:
Zumindest wenn der Text waagerecht oder senkrecht steht.

... und wenn er keine Zeichenformatierung enthält, die die Größe beeinflussen kann (z.B. hoch- oder tiefgestellte Zeichen)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz